Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.cas
Class CASException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.uima.InternationalizedException
                  org.apache.uima.UIMAException
                      org.apache.uima.cas.CASException

All Implemented Interfaces:
  Serializable

    public class CASException

extends UIMAException

Exception class for package org.apache.uima.cas. Automatically generated from message catalog.

See Also:
  Serialized Form

Field Summary
`static String` | `CANT_CREATE_BUILTIN_FS` The feature structure of type {0} cannot be created.
`static String` | `CYCLE_IN_TYPE_ORDER` The types are added in the wrong sort order.
`static String` | `INAPPROP_TYPE_EXCEPTION` The value of the feature {0} cannot be accessed as type {1}, because it is {2}.
`static String` | `JCAS_FEATURE_WRONG_TYPE` The JCAS range type {2} for feature {1} of type {0} does not match the CAS range type {3} for the feature.
`static String` | `JCAS_FEATURENOTFOUND_ERROR` Feature information from the CAS cannot be accessed while initializing the JCAS type {0} with feature {1}.
`static String` | `JCAS_INIT_ERROR` The JCas cannot be initialized.
`static String` | `JCAS_TYPENOTFOUND_ERROR` Type information from the CAS cannot be accessed while initializing the JCas type {0}
`static String` | `MUST_COMMIT_TYPE_SYSTEM` Type system has not been committed; cannot create base index.
`static String` | `NOT_A_STRING` The structure of type {0} cannot be accessed as a String.
`static String` | `TYPEORDER_UNKNOWN_TYPE` The type sort order cannot be built because type {0} is unknown.
`static String` | `UNDEFINED_FEATURE` The value of the feature {0} on the structure of type {1} cannot be accessed, because {0} is not defined for {1}.

Fields inherited from class org.apache.uima.UIMAException
`STANDARD_MESSAGE_CATALOG`

Constructor Summary
`CASException()`
`CASException(String aMessageKey, Object[] aArguments)`
`CASException(String aMessageKey, Object[] aArguments, Throwable aCause)`
`CASException(String aResourceBundleName, String aMessageKey, Object[] aArguments)`
`CASException(String aResourceBundleName, String aMessageKey, Object[] aArguments, Throwable aCause)`
`CASException(Throwable aCause)`

Method Summary

Methods inherited from class org.apache.uima.InternationalizedException
`getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INAPPROP_TYPE_EXCEPTION

    public static final String INAPPROP_TYPE_EXCEPTION

  The value of the feature {0} cannot be accessed as type {1}, because it is {2}.

  See Also:
    Constant Field Values

### UNDEFINED_FEATURE

    public static final String UNDEFINED_FEATURE

  The value of the feature {0} on the structure of type {1} cannot be accessed, because {0} is not defined for {1}.

  See Also:
    Constant Field Values

### CANT_CREATE_BUILTIN_FS

    public static final String CANT_CREATE_BUILTIN_FS

  The feature structure of type {0} cannot be created. Structures of this type cannot be created directly.

  See Also:
    Constant Field Values

### NOT_A_STRING

    public static final String NOT_A_STRING

  The structure of type {0} cannot be accessed as a String.

  See Also:
    Constant Field Values

### CYCLE_IN_TYPE_ORDER

    public static final String CYCLE_IN_TYPE_ORDER

  The types are added in the wrong sort order. Adding {0} < {1} makes the sort order inconsistent.

  See Also:
    Constant Field Values

### JCAS_INIT_ERROR

    public static final String JCAS_INIT_ERROR

  The JCas cannot be initialized. The following errors occurred: {0}

  See Also:
    Constant Field Values

### JCAS_TYPENOTFOUND_ERROR

    public static final String JCAS_TYPENOTFOUND_ERROR

  Type information from the CAS cannot be accessed while initializing the JCas type {0}

  See Also:
    Constant Field Values

### JCAS_FEATURENOTFOUND_ERROR

    public static final String JCAS_FEATURENOTFOUND_ERROR

  Feature information from the CAS cannot be accessed while initializing the JCAS type {0} with feature {1}.

  See Also:
    Constant Field Values

### JCAS_FEATURE_WRONG_TYPE

    public static final String JCAS_FEATURE_WRONG_TYPE

  The JCAS range type {2} for feature {1} of type {0} does not match the CAS range type {3} for the feature.

  See Also:
    Constant Field Values

### TYPEORDER_UNKNOWN_TYPE

    public static final String TYPEORDER_UNKNOWN_TYPE

  The type sort order cannot be built because type {0} is unknown.

  See Also:
    Constant Field Values

### MUST_COMMIT_TYPE_SYSTEM

    public static final String MUST_COMMIT_TYPE_SYSTEM

  Type system has not been committed; cannot create base index.

  See Also:
    Constant Field Values

Constructor Detail

### CASException

    public CASException()

### CASException

    public CASException(String aMessageKey,
                        Object[] aArguments,
                        Throwable aCause)

### CASException

    public CASException(String aMessageKey,
                        Object[] aArguments)

### CASException

    public CASException(String aResourceBundleName,
                        String aMessageKey,
                        Object[] aArguments,
                        Throwable aCause)

### CASException

    public CASException(String aResourceBundleName,
                        String aMessageKey,
                        Object[] aArguments)

### CASException

    public CASException(Throwable aCause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.